Loading...
Searching...
No Matches
Dune::Functions::BasisFactory::FlatInterleaved Struct Reference
Function space bases » Function space basis utilities

Interleaved merging of direct children without blocking. More...

`#include <dune/functions/functionspacebases/basistags.hh>`

Inheritance diagram for Dune::Functions::BasisFactory::FlatInterleaved:

## Detailed Description

Interleaved merging of direct children without blocking.

Example: For two children {f} and {g} with multi-indices (all i* can be multi-indices, themselves)

function in {f} | index
--- | ---
f_0 | (0,i0)
f_1 | (1,i1)
f_2 | (2,i2)

function in {g} | index
--- | ---
g_0 | (0,i0)
g_1 | (1,i1)
g_2 | (2,i2)

the merged indices will be

function in {f,g} | index
--- | ---
f_0 | (0,i0)
g_0 | (1,i0)
f_1 | (2,i1)
g_1 | (3,i1)
f_2 | (4,i2)
g_2 | (5,i2)

The documentation for this struct was generated from the following file:

- basistags.hh